<?php

use think\migration\Migrator;
use think\migration\db\Column;
use Phinx\Db\Adapter\MysqlAdapter;

class StationPassing extends Migrator
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * http://docs.phinx.org/en/latest/migrations.html#the-abstractmigration-class
     *
     * The following commands can be used in this method and Phinx will
     * automatically reverse them when rolling back:
     *
     *    createTable
     *    renameTable
     *    addColumn
     *    renameColumn
     *    addIndex
     *    addForeignKey
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change()
    {
        $table = $this->table('station_passing', ['engine' => 'InnoDB', 'collation' => 'utf8mb4_general_ci', 'comment' => '统计表' ,'id' => 'id','signed' => true ,'primary_key' => ['id']]);
        $table->addColumn('address', 'string', ['limit' => 255,'null' => true,'signed' => true,'comment' => '地点',])
			->addColumn('mac', 'string', ['limit' => 32,'null' => true,'signed' => true,'comment' => '基站',])
			->addColumn('date', 'date', ['null' => true,'signed' => true,'comment' => '日期',])
			->addColumn('num', 'integer', ['limit' => MysqlAdapter::INT_REGULAR,'null' => true,'signed' => true,'comment' => '过车数',])
            ->create();
    }
}
