<?php

namespace catchAdmin\transport\model;

use catcher\base\CatchModel as Model;
use catchAdmin\permissions\model\DataRangScopeTrait;
use catchAdmin\system\model\SysDictData;
class StuckPoint extends Model
{
    use DataRangScopeTrait;
    // 表名
    public $name = 'stuck_point';
    // 数据库字段映射
    public $field = array(
        'id',
        // 名称
        'name',
        // 卡点基站
        'macs',
        // 创建人ID
        'creator_id',
        // 创建时间
        'created_at',
        // 更新时间
        'updated_at',
        // 软删除
        'deleted_at',
    );
    /**
     * 列表
     */
    public function getList()
    {
        $res=$this->dataRange()
            ->catchSearch()
            ->order($this->aliasField('id'), 'desc')
            ->paginate();
        return $res;
    }
    public function getAllList()
    {
        $res=$this->dataRange()
            ->catchSearch()
            ->order($this->aliasField('id'), 'desc')
            ->select();
        return $res;
    }
    
    //根据name搜索
    public function searchNameAttr($query, $value, $data)
    {
        return $query->where('name', 'like', '%' . $value . '%');
    }

    public function getMacsAttr($value){
        if($value){
            return explode(',',$value);
        }else{
            return [];
        }
        
    }
}